Skip to content
Docs

Update an existing Drain

PATCHhttps://api.vercel.com/v1/drains/{id}
Update the configuration of an existing drain.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.drains.updateDrain({
id: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"createdAt": "123",
"delivery": {
"compression": "gzip",
"encoding": "json",
"endpoint": "string",
"headers": "value",
"secret": "string",
"type": "http"
},
"disabledAt": "123",
"disabledBy": "string",
"disabledReason": "account-plan-downgrade",
"firstErrorTimestamp": "123",
"id": "icfg_1234567890",
"name": "Example Name",
"ownerId": "example_id",
"projectIds": [],
"sampling": [
{
"env": "preview",
"rate": "123",
"requestPath": "string",
"type": "head_sampling"
}
],
"schemas": {
"ai_gateway": "value",
"analytics": "value",
"audit_log": "value",
"connect": "value",
"log": "value",
"speed_insights": "value",
"trace": "value"
},
"source": {
"defaultFor": "eve-tracing",
"kind": "self-served"
},
"status": "disabled",
"teamId": "example_id",
"updatedAt": "123",
"filterV2": {
"filter": {
"deployment": {
"environments": []
},
"log": {
"legacy_excludeCachedStaticAssetLogs": "false",
"sources": []
},
"project": {
"ids": []
},
"type": "basic"
},
"version": "v2"
}
}
AuthorizationbearerToken

Default authentication mechanism

idstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
projectsstringOptional
projectIdsarrayOptional
filterobjectOptional
schemasobjectOptional
deliveryobjectOptional3 variants
samplingarrayOptional
transformsarrayOptional
statusstringOptional
sourceobjectOptional
200Success
createdAtnumberRequired
deliveryobjectRequired5 variants
disabledAtnumberOptional
disabledBystringOptional
disabledReasonstringOptional
firstErrorTimestampnumberOptional
idstringRequired
namestringRequired
ownerIdstringRequired
projectIdsarrayOptional
samplingarrayOptional
schemasobjectRequired
sourceobjectRequired2 variants
statusstringOptional
teamIdstringOptional
updatedAtnumberRequired
filterV2objectOptional
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error